<div #base class="fixed-container container container mt-md-4 mt-lg-5">

  <div class="row justify-content-center wizard-top-row">
    <div class="col-5 col-lg-3">
      <div class="row mb-2">
        <div class="col-2 step step-number">1</div>
        <div class="col-8 step step-title">Registrera organisation</div>
      </div>
      <div class="row">
        <div class="col-12 progress" [class.progress-current]="model.activeStep == 1"
             [class.progress-done]="model.stepOneDone"></div>
      </div>
    </div>
    <div class="col-5 col-lg-3">
      <div class="row mb-2">
        <div class="col-2 step step-number" [class.step-not-started]="model.activeStep == 1">2</div>
        <div class="col-8 step step-title" [class.step-not-started]="model.activeStep == 1">Anslut tjänst</div>
      </div>
      <div class="row">
        <div class="col-12 progress" [class.progress-done]="model.stepTwoDone" [class.progress-current]="model.activeStep == 2"
             [class.progress-step-not-started]="model.activeStep == 1"></div>
      </div>
    </div>
  </div>

  <div class="row justify-content-center">
    <div class="col-12">
      <app-add-organisation *ngIf="model.activeStep==1" (ready)="onOrganisationReady($event)" (joined)="joinedOrg($event)"></app-add-organisation>
      <app-add-service *ngIf="model.activeStep==2"
                       (ready)="onSave($event)"
                       (back)="setStep(1)"
      ></app-add-service>
    </div>
  </div>

</div>

<div class="pebble-container-outer" [ngStyle]="{'height': viewHeight + 'px'}">
  <img src="assets/images/onboard-top-back.svg" class="pebble pebble-top-back" />
  <img src="assets/images/onboard-top-front.svg" class="pebble pebble-top-front" />
  <img src="assets/images/onboard-btm-back.svg" class="pebble pebble-btm-back" />
  <img src="assets/images/onboard-btm-front.svg" class="pebble pebble-btm-front" />
</div>
